> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Account Balance

> Retrieves the balance information for the authenticated user (total, spendable and pending balances)



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/account-balances
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/account-balances:
    get:
      tags:
        - Account Management
      summary: Retrieve Account Balance
      description: >-
        Retrieves the balance information for the authenticated user (total,
        spendable and pending balances)
      responses:
        '200':
          description: The account balance details.
          content:
            application/json:
              schema:
                type: object
                required:
                  - total
                  - spendable
                  - pending
                properties:
                  total:
                    type: string
                    format: ^[0-9]+$
                    description: >-
                      The total balance for this account (spendable and
                      pending).
                  spendable:
                    type: string
                    format: ^[0-9]+$
                    description: The amount that can be spent from this account.
                  pending:
                    type: string
                    format: ^[0-9]+$
                    description: The amount that is being reviewed for spending.
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````